# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================


with open('/bos/data2/ClueWeb09-resources/spam-waterloo/clueweb09spam.Fusion', 'r') as f:
    for line in f:
        parts = line.strip().split(' ')
        score = int(parts[0])
        docno = parts[1]

        sect = docno.split('-')[1]
        if sect not in ['en0000', 'en0001',  'en0002', 'en0003',  'en0004',  'en0005',  'en0006',  'en0007',  'en0008',  'en0009',  'en0010',  'en0011',  'enwp00',   'enwp01',  'enwp02',  'enwp03']:
            continue        

        if score < 70:
            print score, docno
