# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

from xml.dom.minidom import *
import string
import sys
import re

if len(sys.argv)!=2:
    print 'Usage: %s <weighted_query_file>' % sys.argv[0]
    exit(1)

dom = parse(sys.argv[1])

queries = dom.getElementsByTagName('query')

for query in queries:
    query_num = int(query.getElementsByTagName('number')[0].firstChild.nodeValue)
    query_txt = query.getElementsByTagName('text')[0].firstChild.nodeValue.strip()

    print query_num, query_txt
