# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

for fbdoc in 1 3 5 10 30 50 100
do
#    for fbdoc in 1 3 5 10 30 50 100
#    for fbdoc in 10
    baseres="../res/t10.okw.mu7200.res"
    for runid in `seq 1 10`
    do
        echo "<parameters>" > zzz_pseudo_trec10${fbdoc}_r${runid}.q
        for i in `seq 501 550`
        do
            ./prf_recall_gen $i ${baseres} /bos/tmp17/gzheng/trec/indext10-v5.3/ ../qrels/qrels.t10.txt ../parses/t10.desc/$i.dep $fbdoc zzztest_trec10${fbdoc}_r${runid}.svm
            cat zzztest_trec10${fbdoc}_r${runid}.svm >> zzz_pseudo_trec10${fbdoc}_r${runid}.q
        done
        echo "</parameters>" >> zzz_pseudo_trec10${fbdoc}_r${runid}.q
        
        IndriRunQuery /bos/tmp4/lezhao/gov2/queries/stoplist.param -count=1000 zzz_pseudo_trec10${fbdoc}_r${runid}.q -index=/bos/tmp17/gzheng/trec/indext10-v5.3/ -trecFormat=t -rule=method:d,mu:7200 > zzz_pseudo_trec10${fbdoc}_r${runid}.res
        baseres="zzz_pseudo_trec10${fbdoc}_r${runid}.res"
    done
done
