# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

from Constants import *
from condor_cv_svm import call_main
import os
from time import strftime

def tid2range(tid):
    if tid==35:
        return (151, 300)
    if tid==37:
        return (151, 400)
    if tid==39:
        return (151, 500)

    if tid==13 or tid==14:
        tid+=1

    return (tid*50+1, tid*50 + 50)

def get_test_tid(tid):
    if tid==35:
        return 6
    if tid==37:
        return 8
    if tid==39:
        return 10
    else:
        return tid+1


#for trecno in range(3,13,2) + [35, 37, 39]:
for trecno in range(3,13,2) + [35,37,39]:
#for trecno in [37]:
    
    test_tid = get_test_tid(trecno)
    start1 = tid2range(trecno)[0]
    end1 = tid2range(trecno)[1]
    start2 = tid2range(test_tid)[0]
    end2 = tid2range(test_tid)[1]

    #train on trecno, test on trecno+1, tfidf reweight
    #call_main('TRAIN:%d-%d TEST:%d-%d REWEIGHTED'%(start1, end1, start2, end2))

    #train on trecno, test on trecno+1
    call_main('TRAIN:%d-%d TEST:%d-%d'%(start1, end1, start2, end2))

    #train on trecno, test on trecno+1, True RF
    #call_main('TRAIN:%d-%d TEST:%d-%d RF'%(start1, end1, start2, end2))

    #train on trecno, test on trecno+1, oddP
    #call_main('TRAIN:%d-%d TEST:%d-%d ODDP'%(start1, end1, start2, end2))

    #train on trecno, test on trecno+1, True RF, oddP
    #call_main('TRAIN:%d-%d TEST:%d-%d RF.ODDP'%(start1, end1, start2, end2))

    #train on trecno, test on trecno+1, resample
    #call_main('TRAIN:%d-%d TEST:%d-%d RESAMPLE'%(start1, end1, start2, end2))

    #train on trecno, test on trecno+1, resample, oddP
    #call_main('TRAIN:%d-%d TEST:%d-%d RESAMPLE.ODDP'%(start1, end1, start2, end2))


    #for k in range(0,5):
        #train on trecno and trecno+1, test on trecno+1
        #call_main('TRAIN:%d-%d TRAIN:%d-%d TRAIN:%d-%d TEST:%d-%d REWEIGHTED'%(start1, end1, start2, start2 + k*10 - 1, start2+k*10+10,end2, start2+k*10,start2+k*10+9))


        #train on trecno+1, test on trecno+1
        #call_main('TRAIN:%d-%d TRAIN:%d-%d TEST:%d-%d\n'%(start2, start2 + k*10 - 1, start2+k*10+10,end2, start2+k*10,start2+k*10+9))

        #train on trecno+1, test on trecno+1, oddP
        #call_main('TRAIN:%d-%d TRAIN:%d-%d TEST:%d-%d ODDP'%(start2, start2 + k*10 - 1, start2+k*10+10,end2, start2+k*10,start2+k*10+9))

        #train on trecno and trecno+1, test on trecno+1
        #call_main('TRAIN:%d-%d TRAIN:%d-%d TRAIN:%d-%d TEST:%d-%d'%(start1, end1, start2, start2 + k*10 - 1, start2+k*10+10,end2, start2+k*10,start2+k*10+9))

        #train on trecno and trecno+1, test on trecno+1, oddP
        #call_main('TRAIN:%d-%d TRAIN:%d-%d TRAIN:%d-%d TEST:%d-%d ODDP'%(start1, end1, start2, start2 + k*10 - 1, start2+k*10+10,end2, start2+k*10,start2+k*10+9))



            
