# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import os
import glob
import sys
from Constants import * 

def trecid2qids(trecid):
    if trecid>=13:
        trecid+=1
    
    return range(trecid*50+1,trecid*50+51)

for trecno in range(3,13):
#for trecno in range(13,15):
    for qid in trecid2qids(trecno):
        for fbdoc in fbdocs:
            for svddim in svddims:
                filename = '../qtfs/q%d.okw.desc.mu%d.fbdocs%d.svddim%d.svm'%(qid,mus[trecno],fbdoc,svddim)
                if not os.path.exists(filename):
                    print filename
                    jobstr =  'q%d.okw.desc.mu%d.fbdocs%d.svddim%d.svm'%(qid,mus[trecno],fbdoc,svddim)
                    jobname = ".jobs/"+jobstr+".job"
                    mu = mus[trecno]
                    f = open(jobname, "w")
                    f.write("Universe = vanilla\n")
                    f.write("initialdir = /bos/usr2/gzheng/TermRecall/src\n")
                    f.write("executable = query_term_feature_gen\n")
                    f.write("arguments = " + str(qid) + " ../res/t" + str(trecno)+".okw.mu"+str(mu)+".res " + str(fbdoc) + " " + str(svddim) + " "+filename+"\n")
                    f.write("output = .jobs/"+jobstr+".out\n")
                    f.write("log = .jobs/"+jobstr+".log\n")
                    f.write("error = .jobs/"+jobstr+".err\n")
                    f.write("queue\n")
                    f.close()
                    os.system("condor_submit "+ jobname)
                    
