# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import os;

mus=[0, 0, 0, 2200, 2200, 4300, 4300, 6600, 6600, 7200, 7200, 9500, 9500, 9900, 9900]

for trecno in range(9,10);
    for fbdocs in range(100,801,100):
        for svddim in range(100,301,50):
            for nth in range(1,6):
                jobstr = 't%s.fbdocs%s.svddim%s.bsample.%s'%(trecno, fbdocs, svddim, nth)
                jobname = ".jobs/"+jobstr+".job"
                mu = mus[trecno]
                f = open(jobname, "w")
                f.write("Universe = vanilla\n")
                f.write("initialdir = /bos/usr2/gzheng/TermRecall/src\n")
                f.write("executable = generator_resample\n")
                f.write("arguments = " + str(trecno) + " ../res/t" + str(trecno)+".okw.mu"+str(mu)+".res " + str(fbdocs) + " "+ str(svddim) + " ../svm_resample/t"+str(trecno)+".okw.desc.mu"+str(mu)+".fbdocs"+str(fbdocs)+".svddim"+str(svddim)+".bsample."+str(nth)+".svm\n")
                f.write("output = .jobs/"+jobstr+".out\n")
                f.write("log = .jobs/"+jobstr+".log\n")
                f.write("error = .jobs/"+jobstr+".err\n")
                f.write("queue\n")
                f.close()
                os.system("condor_submit "+ jobname)
