# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import os
import sys
import subprocess
from Constants import *

if len(sys.argv)!=3:
    print 'Usage: %s <test.q> <test_tid>'
    exit(0)

query_file = sys.argv[1]
trecid = int(sys.argv[2])

os.system('/bos/usr2/gzheng/Boolean/app-4.10/IndriRunQuery -count=1000 %s -index=/bos/tmp17/gzheng/trec/indext%d-v4.10/ -trecFormat=t -rule=method:d,mu:%d > ../res/%s.res' %(query_file, trecid, mus[trecid], query_file.split('/')[-1]))

eval_output_test = subprocess.check_output(('./trec_eval ../qrels/qrels.t%d.txt ../res/%s.res' %(trecid, query_file.split('/')[-1])).split(' '))
eval_map_test = float(eval_output_test.strip().split('\n')[5].split('\t')[-1])

print 'RESULT: %s\t%f'%(query_file, eval_map_test)
