# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import sys

if len(sys.argv)!=3:
    print 'Usage: %s <input_text> <output_trecdoc>' % sys.argv[0]
    exit(0)


with open(sys.argv[1], 'r') as infile, open(sys.argv[2], 'w') as outfile:
    trecno = 0
    for line in infile:
        trecno += 1
        outfile.write('<DOC>\n<DOCNO>%d</DOCNO>\n' % trecno)
        outfile.write('<TEXT>%s</TEXT>\n'%line.strip())
        outfile.write('</DOC>\n')
        
       
