# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import sys

q_f = sys.argv[1]
svm_f = sys.argv[2]

q_in=open(q_f, 'r')
svm_out=open(svm_f, 'w')

qid = None
for line in q_in:
    if '<number>' in line:
        qid = int(line.split('<number>')[1].split('</number>')[0])
    if '#weight' in line:
        terms = line.split(' ')
        for i in range(2,len(terms),2):
            svm_out.write('#%s\t%s\t%d\n'%(terms[i].strip(), terms[i].strip(), qid))

svm_out.close()
q_in.close()

        
