# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import os
import sys
import glob


for filename in glob.glob('../svm/*'):
    print filename
    fsuffix = filename.split('/')[-1]
    ssuffix = fsuffix.split('.',1)[1]
    r = open(filename, 'r')
    for line in r:
        line = line.strip()
        qid = line.split(' ')[-1]
        oddp = float(line.split(' ')[0])
        fstr = line.split(' ',1)[1]
        p = oddp /(oddp+1)
        outputf = '../qtfs/q%s.%s'%(qid, ssuffix)
        w=open(outputf, 'a')
        w.write('%f %s\n'%(p, fstr))
        w.close()

