# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import os
import sys
import glob

for filename in glob.glob('../qtfs/*'):
    print filename
    suffix=filename.split('/')[-1]
    r = open(filename, 'r')
    outputf = '../qtfs_oddp/%s'%(suffix)
    w=open(outputf, 'w')
    for line in r:
        parts = line.strip().split(' ', 1)
        p = float(parts[0])
        oddp = p /(1.0-p)
        w.write('%f %s\n'%(oddp, parts[1]))

    w.close()

