import os
import sys
import glob

def merge(infile1, infile2, outfile, ind):
    try:
        r1=open(infile1,'r')
        r2=open(infile2,'r')
    except:
        return False

    lines1 = r1.readlines()
    lines2 = r2.readlines()
    if len(lines1)!=len(lines2):
        r1.close()
        r2.close()
        return False

    w=open(outfile,'w')
    for i in range(0, len(lines1)):
        line1 = lines1[i]
        line2 = lines2[i]
        parts1 = line1.strip().split('#')
        parts2 = line2.strip().split('#')
        feats1 = parts1[0].strip().split(' ')
        feats2 = parts2[0].strip().split(' ')

        if parts1[1]==parts2[1]:
            w.write('%s %s '%(feats1[0], feats1[1])) # The term recall, idf
            for k in [2,3,4]: # 3 svd features
                val1 = float(feats1[k].split(':')[1])
                val2 = float(feats2[k].split(':')[1])
                val = (val1 * (ind -1) + val2 ) / ind
                w.write('%d:%f '%(k, val))
            w.write('%s '%feats1[5]) # abstractness
            w.write('#%s\n'%parts1[1])

    w.close()
    r1.close()
    r2.close()
    return True

for filename in glob.glob('../qtfs_rew_res_lin/q*.bsample.1.*'):
    print filename
    prefix = filename.split('.bsample')[0]
    for i in range(1,101):
        if i==1:
            try:
                inputf = '%s.bsample.1.svm'%(prefix)
                r=open(inputf, 'r')
                outputf = '%s.nsample.%d.svm'%(prefix,i)
                w=open(outputf, 'w')
                for line in r:
                    w.write('%s\n'%(line.strip()))
                w.close()
                r.close()
            except:
                break
        else:
            inf1 = '%s.nsample.%d.svm'%(prefix,i-1)
            inf2 = '%s.bsample.%d.svm'%(prefix,i)
            outf = '%s.nsample.%d.svm'%(prefix,i)

            # merge failed
            if not merge(inf1, inf2, outf, i):
                break
                
