from Constants import *
import os

#run trained query
for qid in range(101,201):
    for mu in clueweb09_mus:
        jobstr =  'clueweb09.train.q%d.okw.desc.mu%d.res'%(qid,mu)
        jobname = ".jobs/"+jobstr+".job"
        f = open(jobname, "w")
        f.write("Universe = vanilla\n")
        f.write("initialdir = /bos/usr2/gzheng/TermRecall/\n")
        f.write("executable = /bos/usr2/gzheng/.local/bin/IndriRunQuery\n")
        f.write("arguments =  /bos/tmp4/lezhao/gov2/queries/stoplist.param -count=1000 clueweb09_queries/train.%d.q src/clueweb_index.param -trecFormat=t -rule=method:d,mu:%d\n" % (qid, mu))
        f.write("output = clueweb09_res/train.q%d.okw.desc.mu%d.res\n" % (qid, mu))
        f.write("log = src/.jobs/"+jobstr+".log\n")
        f.write("error = src/.jobs/"+jobstr+".err\n")
        f.write("queue\n")
        f.close()
        os.system("condor_submit "+ jobname)

#run true query
for qid in range(101,201):
    for mu in clueweb09_mus:
        jobstr =  'clueweb09.true.q%d.okw.desc.mu%d.res'%(qid,mu)
        jobname = ".jobs/"+jobstr+".job"
        f = open(jobname, "w")
        f.write("Universe = vanilla\n")
        f.write("initialdir = /bos/usr2/gzheng/TermRecall/\n")
        f.write("executable = /bos/usr2/gzheng/.local/bin/IndriRunQuery\n")
        f.write("arguments =  /bos/tmp4/lezhao/gov2/queries/stoplist.param -count=1000 clueweb09_queries/true.%d.q src/clueweb_index.param -trecFormat=t -rule=method:d,mu:%d\n" % (qid, mu))
        f.write("output = clueweb09_res/true.q%d.okw.desc.mu%d.res\n" % (qid, mu))
        f.write("log = src/.jobs/"+jobstr+".log\n")
        f.write("error = src/.jobs/"+jobstr+".err\n")
        f.write("queue\n")
        f.close()
        os.system("condor_submit "+ jobname)
        
