import os
from time import strftime

def tid2range(tid):
    if tid==21:
        return range(2001, 2100)
    if tid==22:
        return range(2101, 2201)
    
    if tid==35:
        return range(151, 301)
    if tid==37:
        return range(151, 401)
    if tid==39:
        return range(151, 501)

    if tid==13 or tid==14:
        tid+=1

    return range(tid*50+1, tid*50 + 51)

def tid2range_cikm(tid):
    if tid == 7:
        return range(301, 451) + range(601, 701)
    elif tid == 9:
        return range(451, 551)
    elif tid == 13:
        return range(701, 851)
    


#for trecno in [7, 8, 9, 10, 13, 14, 21, 22]:
for trecno in [7,  9, 13]:
#    qids = tid2range(trecno)
    qids = tid2range_cikm(trecno)

    # NOTE the qtfs folders here
    qtfs_folder = '../qtfs_wsd'

    index = '/bos/tmp17/gzheng/trec/indext%d-v5.3/' % trecno

    for qid in qids:
        query_part_file = '../queries/desc_parts_stopped/%d.part' % qid
        output_wsd_file = '%s/q%d.wsd' % (qtfs_folder, qid)

        print output_wsd_file
        jobstr = 'wsd_feature.q%d.%s' %(qid, strftime('%Y%m%d'))
        jobname = '.jobs/' + jobstr + '.job'
        f = open(jobname, 'w')
        f.write('Universe = vanilla\n')
        f.write('initialdir = /bos/usr0/gzheng/TermRecall/src\n')
        f.write('executable = /opt/python27/bin/python\n')
        f.write('arguments = wsd_feature.py %s %s %s\n'%(query_part_file, index, output_wsd_file))
        f.write('output = .jobs/'+jobstr+'.out\n')
        f.write('log = .jobs/'+jobstr+'.log\n')
        f.write('error = .jobs/'+jobstr+'.err\n')
        f.write('queue\n')
        f.close()
        os.system('condor_submit '+ jobname)    

