import os;

mus=[0, 0, 0, 2200, 2200, 4300, 4300, 6600, 6600, 7200, 7200, 9500, 9500, 9900, 9900]

for trecno in range(3,15):
    for fbdocs in range(100,801,100):
        for svddim in range(100,301,25):
            jobstr = "t"+str(trecno)+".fbdocs"+str(fbdocs)+".svddim"+str(svddim)
            jobname = ".jobs/"+jobstr+".job"
            mu = mus[trecno]
            f = open(jobname, "w")
            f.write("Universe = vanilla\n")
            f.write("initialdir = /bos/usr2/gzheng/TermRecall/src\n")
            f.write("executable = generator\n")
            f.write("arguments = " + str(trecno) + " ../res/t" + str(trecno)+".okw.mu"+str(mu)+".res " + str(fbdocs) + " " + str(svddim) + " ../svm/t"+str(trecno)+".okw.desc.mu"+str(mu)+".fbdocs"+str(fbdocs)+".svddim"+str(svddim)+".svm\n")
            f.write("output = .jobs/"+jobstr+".out\n")
            f.write("log = .jobs/"+jobstr+".log\n")
            f.write("error = .jobs/"+jobstr+".err\n")
            f.write("queue\n")
            f.close()
            os.system("condor_submit "+ jobname)
            
