import os
import sys
import subprocess
from Constants import *

if len(sys.argv)!=4:
    print 'Usage: %s <train_svm> <test_svm> <test_tid>'
    exit(0)

train_file = sys.argv[1]
test_file = sys.argv[2]
trecid = int(sys.argv[3])

command = '/opt/matlab/7.13/bin/matlab -nodesktop -nojvm -singleCompThread -nosplash -r \"doit_linear_cv(\'%s.A\', \'%s.B\', \'%s.y\', \'%s.A\', \'%s.B\')\"' %(train_file, train_file, train_file, test_file, test_file)
os.system(command)

# flat sd style
#os.system('./wqg_P %s %s.A.L%s.out %s.L%s.q' %(test_file, test_file, lamda, test_file, lamda))

#original sd style
os.system('/opt/python27/bin/python2.7 wqg_recall_sdm.py %s %s.A.%s.A.CV.out %s.%s.CV.q 0.8 0.1 0.1' %(test_file, train_file, test_file.split('/')[-1], train_file, test_file.split('/')[-1]))

os.system('/bos/usr2/gzheng/Boolean/app-4.10/IndriRunQuery -count=1000 %s.%s.CV.q -index=/bos/tmp17/gzheng/trec/indext%d-v4.10/ -trecFormat=t -rule=method:d,mu:%d > ../res/%s.%s.CV.res' %(train_file, test_file.split('/')[-1], trecid, mus[trecid], train_file.split('/')[-1], test_file.split('/')[-1]))

eval_output_test = subprocess.check_output(('./trec_eval ../qrels/qrels.t%d.txt ../res/%s.%s.CV.res' %(trecid, train_file.split('/')[-1], test_file.split('/')[-1])).split(' '))
eval_map_test = float(eval_output_test.strip().split('\n')[5].split('\t')[-1])

print 'POLY_CONS_CV_RESULT: %s\t%s\t%f'%(train_file, test_file, eval_map_test)
