from Constants import *
import os
import glob
import sys

def trecid2qids(trecid):
    if trecid>=13:
        trecid+=1
    
    return range(trecid*50+1,trecid*50+51)

mus=[0, 0, 0, 2200, 2200, 4300, 4300, 6600, 6600, 7200, 7200, 9500, 9500, 9900, 9900]

#for trecno in range(3,15):
for trecno in range(3,11):
    for qid in trecid2qids(trecno):
#        for fbdocs in range(100,801,100):
        for fbdocs in [good_fbdocs[trecno]]:
#            for svddim in range(100,301,50):
            for svddim in [good_svddims[trecno]]:
                for i in range(1,31):
                    #### REMEMBER TO CHANGE DIR HERE!!!! ###
                    filename = '../qtfs_linear/q%d.okw.desc.mu%d.fbdocs%d.svddim%d.bsample.%d.svm'%(qid,mus[trecno],fbdocs,svddim,i)
                    if not os.path.exists(filename):
                        print filename
                        jobstr =  'q%d.okw.desc.mu%d.fbdocs%d.svddim%d.bsample.%d.svm'%(qid,mus[trecno],fbdocs,svddim,i)
                        jobname = ".jobs/"+jobstr+".job"
                        mu = mus[trecno]
                        f = open(jobname, "w")
                        f.write("Universe = vanilla\n")
                        f.write("initialdir = /bos/usr2/gzheng/TermRecall/src\n")
                        f.write("executable = query_term_feature_gen_resample2\n")
                        f.write("arguments = " + str(qid) + " ../res/t" + str(trecno)+".okw.mu"+str(mu)+".res " + str(fbdocs) + " " + str(svddim) + " "+filename+"\n")
                        f.write("output = .jobs/"+jobstr+".out\n")
                        f.write("log = .jobs/"+jobstr+".log\n")
                        f.write("error = .jobs/"+jobstr+".err\n")
                        f.write("queue\n")
                        f.close()
                        os.system("condor_submit "+ jobname)
