import os
import glob
import sys
from Constants import * 

def trecid2qids(trecid):
    if trecid==21:
        return range(2001, 2100)
    
    if trecid==22:
        return range(2101, 2201)

    if trecid>=13:
        trecid+=1
    
    return range(trecid*50+1,trecid*50+51)

def getMu(trecid):
    if trecid<=8:
        return [900,1500]
    elif trecid<=10:
        return [1500]
    elif trecid<=12:
        return [900]

def getFbdocs(trecid, mu):
    return [100,150,200,250,300,350,400,450,500,550,600]

    if trecid<=8:
        if mu==900:
            return [120, 130, 140,150,160,170,180,190,200,250,300,400,500]
        else:
            return [120, 130, 140,150,160,170,180,190,200,250,300]
    elif trecid<=10:
        if mu==900:
            return [120, 130, 140,150,160,170,180,190,200]
        else:
            return [120, 130, 140,150,160,170,180,190,200,250,300]
    elif trecid<=12:
        return [300, 400, 500, 600, 700]

#for trecno in range(3,15):
#for trecno in range(13,15):
for trecno in range(21,23):
#for trecno in range(7,13):
    for qid in trecid2qids(trecno):
        print qid
        for mu in [2500]:
            for fbdoc in getFbdocs(trecno, mu):
                for svddim in [150,100,50]:
#                for svddim in [150]:
                    filename = '../qtfs_20140113_stopped_sd_raw_SIGIR2/q%d.okw.desc.mu%d.fbdocs%d.svddim%d.svm'%(qid,mu,fbdoc,svddim)

                    if not os.path.exists(filename):
                        print filename
                        jobstr =  'q%d.okw.desc.mu%d.fbdocs%d.svddim%d.svm'%(qid,mu,fbdoc,svddim)
                        jobname = ".jobs/"+jobstr+".job"
                        f = open(jobname, "w")
                        f.write("Universe = vanilla\n")
                        f.write("initialdir = /bos/usr2/gzheng/TermRecall/src\n")

                        # NOTE THE FOLLOWING TWO LINES!
                        f.write("executable = query_term_sd_feature_gen\n")
                        #f.write("executable = query_term_sd_feature_gen_plus\n")
                        
                        if trecno <=4:
                            f.write("arguments = " + str(qid) + " ../res/t" + str(trecno)+".okw.mu"+str(mu)+".stopped.sd.res " + str(fbdoc) + " " + str(svddim) + " "+filename+"\n")
                        else:
                            f.write("arguments = " + str(qid) + " ../res/t" + str(trecno)+".okw.desc.mu"+str(mu)+".stopped.sd.res " + str(fbdoc) + " " + str(svddim) + " "+filename+"\n")
                        f.write("output = .jobs/"+jobstr+".out\n")
                        f.write("log = .jobs/"+jobstr+".log\n")
                        f.write("error = .jobs/"+jobstr+".err\n")
                        f.write("queue\n")
                        f.close()
                        os.system("condor_submit "+ jobname)
                    
