from Constants import *
import os
import glob
import sys

def getRunStr(rid):
    if rid==1:
        return "wsj87-91"
    elif rid==2:
        return "wsj92"
    elif rid==3:
        return "ap88-89"
    elif rid==4:
        return "ap90"
    elif rid==5:
        return "ziff89-90"
    elif rid==6:
        return "ziff91-92"

def getQids(rid):
    if rid==1:
        return wsj_train_qids
    elif rid==2:
        return wsj_test_qids
    elif rid==3:
        return ap_train_qids
    elif rid==4:
        return ap_test_qids
    elif rid==5:
        return ziff_train_qids
    elif rid==6:
        return ziff_test_qids

for rid in range(1,7):
#for rid in range(6,7):
    for qid in getQids(rid):
        for fbdoc in smallsets_fbdocs:
#            for svddim in smallsets_svddims:
#            for svddim in [100]:
            for svddim in [200]:
                mu = smallsets_mus[rid]
                filename = '../smallsets_qtfs/%s.q%d.okw.desc.mu%d.fbdocs%d.svddim%d.svm.tfidf'%(getRunStr(rid), qid, mu, fbdoc, svddim)
                wtfilename = '../smallsets_qtfs/%s.q%d.okw.desc.mu%d.fbdocs%d.svddim%d.svm.tfidf.wt'%(getRunStr(rid), qid, mu, fbdoc, svddim)
                if os.path.exists(filename) and not os.path.exists(wtfilename):
                    print filename
                    jobstr =  '%s.q%d.okw.desc.mu%d.fbdocs%d.svddim%d.svm.plsa'%(getRunStr(rid),qid,mu,fbdoc,svddim)
                    jobname = ".jobs/"+jobstr+".job"
                    f = open(jobname, "w")
                    f.write("Universe = vanilla\n")
                    f.write("initialdir = /bos/usr2/gzheng/TermRecall/src\n")
                    f.write("executable = /opt/matlab/7.13/bin/matlab\n")
                    f.write("arguments = -nodesktop -nojvm -singleCompThread -nosplash -r condor_plsa('" + filename + "'," + str(svddim) + ")\n")
                    f.write("output = .jobs/"+jobstr+".out\n")
                    f.write("log = .jobs/"+jobstr+".log\n")
                    f.write("error = .jobs/"+jobstr+".err\n")
                    f.write("queue\n")
                    f.close()
                    os.system("condor_submit "+ jobname)                

                    
