import os
import glob
import sys


if len(sys.argv) != 2:
    print 'Usage: %s st10|st11|st12' % sys.argv[0]
    exit(1)

for query_file in glob.glob('../queries/%s/*'%sys.argv[1]):
    qid = query_file.split('/')[-1].rsplit('.',1)[0]
    print qid
    mu = 4000
    jobstr =  '%s.%s.okw.mu%d.res'%(sys.argv[1], qid, mu)
    jobname = ".jobs/"+jobstr+".job"
    f = open(jobname, "w")
    f.write("Universe = vanilla\n")
    f.write("initialdir = /bos/usr2/gzheng/TermRecall/src\n")
    f.write("executable = /bos/usr2/gzheng/.local/bin/IndriRunQuery\n")

# cat A
#    f.write("arguments = %s clueweb_index.param -count=1000 -trecFormat=t -rule=method:d,mu:%d\n" % (query_file, mu))
#    f.write("output = ../clueweb09_res/%s/q%s.okw.mu%d.res\n" % (sys.argv[1], qid, mu))

# cat B
#    f.write("arguments = %s clueweb_index_catB.param -count=1000 -trecFormat=t -rule=method:d,mu:%d\n" % (query_file, mu))
#    f.write("output = ../clueweb09_res/catB/%s/q%s.okw.mu%d.res\n" % (sys.argv[1], qid, mu))

# cat B spam filtered
    f.write("arguments = %s clueweb_index_catB_spamfiltered.param -count=1000 -trecFormat=t -rule=method:d,mu:%d\n" % (query_file, mu))
    f.write("output = ../clueweb09_res/catB_sf/%s/q%s.okw.mu%d.res\n" % (sys.argv[1], qid, mu))
    f.write("log = .jobs/"+jobstr+".log\n")
    f.write("error = .jobs/"+jobstr+".err\n")
    f.write("queue\n")
    f.close()
    os.system("condor_submit "+ jobname)
    
