from Constants import *
import os
import subprocess
import glob

def qid2trecid(qid):
    if qid>700:
        qid-=50

    return (qid-1)/50

for filename in glob.glob('../tmp/*.q'):
    svmname = filename.strip().split('/')[-1].rsplit('.',1)[0]
    parts = filename.strip().split('/')[-1].split('.')
    qsize = int(parts[1])
    
    qid = None
    if qsize % 50!=0:
        qid = int(parts[0].split('-')[-1])
    else:
        qid = int(parts[0].split('-')[-1]) +1

    trecid = qid2trecid(qid)

    os.system('/bos/usr2/gzheng/.local/bin/IndriRunQuery /bos/tmp4/lezhao/gov2/queries/stoplist.param -count=1000 ../tmp/%s.q -index=/bos/tmp17/gzheng/trec/indext%d-v5.3/ -trecFormat=t -rule=method:d,mu:%d > ../res/%s.res' %(svmname, trecid, mus[trecid], svmname))
    
    #evaluate the results!
    eval_output = subprocess.check_output(('./trec_eval ../qrels/qrels.t%d.txt ../res/%s.res' %(trecid, svmname)).split(' '))

    eval_map = eval_output.strip().split('\n')[5]
    map_result = eval_map.split('\t')[-1]
    print filename + ': ' + map_result
