# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import sys
import os
from query_term_feature_le import getMu

if __name__ == '__main__':
    for trecno in range(13,15)+range(21,23):
#        for mu in getMu(trecno):
        for mu in [2500]:
            cmdline = None
            if trecno <= 4:
                # INDRI 5.3 HERE
                cmdline = '/bos/usr2/gzheng/.local/bin/IndriRunQuery /bos/usr1/lezhao/Boolean/stoplist.param -count=1000 ../queries/t%d.okw.desc.q -index=/bos/tmp17/gzheng/trec/indext%d-v5.3/ -trecFormat=t -rule=method:d,mu:%d > ../res/t%d.okw.mu%d.stopped.res' %(trecno, trecno, mu, trecno, mu)
            else:
                # INDRI 5.3 HERE
                cmdline = '/bos/usr2/gzheng/.local/bin/IndriRunQuery /bos/usr1/lezhao/Boolean/stoplist.param -count=1000 ../queries/t%d.okw.desc.q -index=/bos/tmp17/gzheng/trec/indext%d-v5.3/ -trecFormat=t -rule=method:d,mu:%d > ../res/t%d.okw.desc.mu%d.stopped.res' %(trecno, trecno, mu, trecno, mu)

            print cmdline
            os.system(cmdline)
            
