# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

from Constants import *
import os
import glob
import sys

for qid in range(1,201):
    for fbdoc in clueweb09_fbdocs:
        for svddim in clueweb09_svddims:
            mu = clueweb09_mus[0]
            filename = '../clueweb09_qtfs/q%d.okw.desc.mu%d.fbdocs%d.svddim%d.svm'%(qid,mu,fbdoc,svddim)
            if not os.path.exists(filename):
                print filename
                jobstr =  'clueweb09_q%d.okw.desc.mu%d.fbdocs%d.svddim%d.svm'%(qid,mu,fbdoc,svddim)
                jobname = ".jobs/"+jobstr+".job"
                f = open(jobname, "w")
                f.write("Universe = vanilla\n")
                f.write("initialdir = /bos/usr2/gzheng/TermRecall/src\n")
                f.write("executable = clueweb_qtf_gen\n")
                f.write("arguments = " + str(qid) + " ../clueweb09_res/q" + str(qid)+".okw.desc.mu"+str(mu)+".res " + str(fbdoc) + " " + str(svddim) + " "+filename+"\n")
                f.write("output = .jobs/"+jobstr+".out\n")
                f.write("log = .jobs/"+jobstr+".log\n")
                f.write("error = .jobs/"+jobstr+".err\n")
                f.write("queue\n")
                f.close()
                os.system("condor_submit "+ jobname)
                    
