# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import sys

if len(sys.argv)!=3:
    print "usage: %s all_query_file dirandprefix" % sys.argv[0]
    exit(0)
infile=open(sys.argv[1],'r')
qid = -1
ofile = None
for line in infile:
    if line.strip().startswith("<parameters>"):
        continue;
    # write and close
    elif line.strip().startswith("</parameters>"):
        ofile.write("</parameters>\n")
        ofile.close()
    elif line.strip().startswith("<query>"):
        if ofile is not None:
            ofile.write("</parameters>\n")
            ofile.close()

        qid = line.split("</number>")[0].split("<number>")[1]
        ofile=open('%s%s.q'%(sys.argv[2], qid), 'w')
        ofile.write("<parameters>\n")
        ofile.write(line)
    else:
        ofile.write(line)
        
    

