# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import sys

if len(sys.argv)!=3:
    print 'Usage: %s <input> <output> ' % sys.argv[0]
    exit(0)

infile = open(sys.argv[1], 'r')
outfile = open(sys.argv[2], 'w')

for line in infile:
    parts = line.strip().split(' ', 1)
    qid = int(parts[0])
    outfile.write('%d %s\n' %(qid+2000, parts[1]))

outfile.close()
infile.close()
              
