# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

nrel=$1
fbdoc=$2
baseres="../res/t10.okw.mu7200.res"
echo "<parameters>" > zzz_coord_trec10_rel${nrel}_fbdoc${fbdoc}.q
echo "<parameters>" > zzz_coord_trec10_rel${nrel}_fbdoc${fbdoc}_partial_true.q
for i in `seq 501 550`
do
    ./guided_prf_recall_gen $i ${baseres} /bos/tmp17/gzheng/trec/indext10-v5.3/ ../qrels/qrels.t10.txt ../parses/t10.desc/$i.dep $fbdoc zzztest_trec10_rel${nrel}_fbdoc${fbdoc}.svm ${nrel}
    cat zzztest_trec10_rel${nrel}_fbdoc${fbdoc}.svm >> zzz_coord_trec10_rel${nrel}_fbdoc${fbdoc}.q
    cat zzztest_trec10_rel${nrel}_fbdoc${fbdoc}.svm_true.q >> zzz_coord_trec10_rel${nrel}_fbdoc${fbdoc}_partial_true.q
done
echo "</parameters>" >> zzz_coord_trec10_rel${nrel}_fbdoc${fbdoc}.q
echo "</parameters>" >> zzz_coord_trec10_rel${nrel}_fbdoc${fbdoc}_partial_true.q

IndriRunQuery /bos/tmp4/lezhao/gov2/queries/stoplist.param -count=1000 zzz_coord_trec10_rel${nrel}_fbdoc${fbdoc}.q -index=/bos/tmp17/gzheng/trec/indext10-v5.3/ -trecFormat=t -rule=method:d,mu:7200 > zzz_coord_trec10_rel${nrel}_fbdoc${fbdoc}.res
IndriRunQuery /bos/tmp4/lezhao/gov2/queries/stoplist.param -count=1000 zzz_coord_trec10_rel${nrel}_fbdoc${fbdoc}_partial_true.q -index=/bos/tmp17/gzheng/trec/indext10-v5.3/ -trecFormat=t -rule=method:d,mu:7200 > zzz_coord_trec10_rel${nrel}_fbdoc${fbdoc}_partial_true.res
