# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

#!/usr/bin/perl
use strict;
my $f=shift; #input file containing trec topic
die "Usage: $0 <infile>\n" if !defined $f;
my $pwd=$ENV{"PWD"};$f="$pwd/$f" if $f !~ /\//;
chdir "/bos/usr1/lezhao/codes/stanford-parser-2008-10-26";
safesystem("java -mx200m -cp classes edu.stanford.nlp.parser.lexparser.LexicalizedParser -retainTMPSubcategories -outputFormat \"typedDependenciesCollapsed\" englishPCFG.ser.gz $f");
#/orl/usr0/mheilman/apps/jdk1.6.0/bin/java

sub safesystem{
	my $cmd=shift;
	my $r=system $cmd;
	print STDERR "Failed: ",$cmd,"\nError code: $r\n" and die if $r != 0;
	#	print STDERR "done: $cmd\n" if $r == 0;
}
