# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import sys

if len(sys.argv)!=4:
    print 'Usage: %s <main_svm> <extra_svm> <output_svm>' % sys.argv[0]
    exit(0)

with open(sys.argv[1], 'r') as main_svm, open(sys.argv[2], 'r') as ext_svm, open(sys.argv[3], 'w') as out_svm:
    for line in zip(main_svm, ext_svm):
        main_f = line[0].split('#', 1)[0].strip()
        main_q = line[0].split('#', 1)[-1].strip()

        ext_f = line[1].split('#', 1)[0].strip()
        print ext_f
        ext_values = ext_f.split(' ')
        out_svm.write('%s 801:%d 802:%d 803:%d #%s\n' %(main_f, int(ext_values[0]), int(ext_values[1]), int(ext_values[2]), main_q))
        
                    
