# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import sys
import os
import glob

for filename in glob.glob('../qtfs/q*.svm'):
    print filename
    qid = filename.split('/')[-1].split('.')[0].split('q')[-1]
    outfilename = '../qtfs_20140401_stopped_sd_raw_SIGIR2_external_data/%s' % filename.split('/')[-1]
    cmd = 'python merge_svms.py %s ~/TermRecall/queries/desc_parts_stopped/%s.part.svm %s' %(filename, qid, outfilename)
    os.system(cmd)
