# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

import os
import sys
import glob

stopwords = set(line.strip() for line in open('stoplist.txt'))

for filename in glob.glob('../tmp_orig/ziff*test.svm'):
    print filename
    fsuffix = filename.split('/')[-1]
    r = open(filename, 'r')
    w = open('../tmp/%s' % fsuffix, 'w')

    for line in r:
        word = line.strip().split(' ')[-2].lower()
        if word not in stopwords:
            w.write('%s\n'%line.strip())

    w.close()
    r.close()
        


