# ==========================================================================
#  Copyright (c) 20014 Carnegie Mellon University.  All Rights Reserved.
# 
#  Use of the Lemur Toolkit for Language Modeling and Information Retrieval
#  is subject to the terms of the software license set forth in the LICENSE
#  file included with this software (and below), and also available at
#  http://www.lemurproject.org/license.html
# 
# ==========================================================================

# NOTE!!!!!
# Remember to sort after using this!!!

import sys

if len(sys.argv) !=3:
    print 'usage: %s <original qrel> <map file>'% sys.argv[0]
    exit(1)

mappingfile = sys.argv[2]
mapping = {}

mf = open(mappingfile, 'r')
for line in mf:
    parts = line.split('\t')
    mapping[int(parts[0])] = int(parts[1])
mf.close()
    
infile = open(sys.argv[1], 'r')

for line in infile:
    line = line.strip()
    parts = line.split(' ', 1)
    topicid = int(parts[0])
    for key in mapping.keys():
        if mapping[key] == topicid:
            print key, parts[1]

