#!/usr/bin/perl
# adapted from Le's code
# used to generate queires 51-150
my $inq=shift;
die "Usage: $0 <infile>\n" if !defined $inq;

@$qis=();
my $c=`cat $inq`;
die "cannot read $inq to get keyword queries!\n" if $c eq "";
@$qis= $c =~ /<num>\s*Number\:\s+(\d+)\s+<dom>\s+.*?\s*<title>\s*Topic:\s*.*?\s+<desc>\s+Description:\s*(.*?)\s*<smry>/sg;
#print $qis;
for(my $i=0;$i< scalar @$qis;$i+=2)
{
    my $qid= int($qis->[$i]);
    my $qt = $qis->[$i+1];
    print "$qid\n$qt\n";
    open OF, ">_tmp.q";
    print OF "$qt\n";
    close OF;
    my $processed_query = `./remove_metaterms.pl _tmp.q`;
    chomp($processed_query);
    print "$processed_query\n";

    open OF, ">_tmp.removed.q";
    print OF "$processed_query\n";
    close OF;

    open OF, ">../smallsets_queries/$qid.q.part";
    print OF "  <query><type>indri</type><number>$qid</number><text>\n    #combine($processed_query)\n  </text></query>\n";
    close OF;

    open OF, ">../smallsets_queries/$qid.q";
    print OF "<parameters>\n  <query><type>indri</type><number>$qid</number><text>\n    #combine($processed_query)\n  </text></query>\n</parameters>\n";
    close OF;
    `./depparse.pl _tmp.removed.q > ../smallsets_parses/$qid.dep`;
}

