#include <string>
#include "leveldb/db.h"
#include <iostream>
#include <fstream>
using namespace std;

int main(int argc, char** argv)
{
    if(argc != 3)
    {
        cout<<"Usage: "<<argv[0]<<" <leveldb_path> <ngram_file>"<<endl;
        exit(0);
    }
    
    leveldb::DB* db;
    leveldb::Options options;
    leveldb::Status status = leveldb::DB::Open(options, argv[1], &db);
    ifstream infile(argv[2], ifstream::in);
    string line;
    while(getline(infile, line))
    {
        string value;
        db->Get(leveldb::ReadOptions(), line, &value);
        cout<<line<<"\t"<<atol(value.data())<<endl;
    }    
    
    delete db;
    return 0;
}
