import os
from time import strftime

def tid2range(tid):
    if tid==35:
        return (151, 300)
    if tid==37:
        return (151, 400)
    if tid==39:
        return (151, 500)

    if tid==13 or tid==14:
        tid+=1

    return (tid*50+1, tid*50 + 50)

def get_test_tid(tid):
    if tid==35:
        return 6
    if tid==37:
        return 8
    if tid==39:
        return 10
    else:
        return tid+1


for trecno in range(3,13,2) + [35, 37, 39]:
    test_tid = get_test_tid(trecno)
    start1 = tid2range(trecno)[0]
    end1 = tid2range(trecno)[1]
    start2 = tid2range(test_tid)[0]
    end2 = tid2range(test_tid)[1]
    """
    #train on trecno, test on trecno+1
    jobstr = 'train.t%d.test.t%d.%s'%(trecno, test_tid, strftime('%Y%m%d'))
    jobname = '.jobs/' + jobstr + '.job'
    f = open(jobname, 'w')
    f.write('Universe = vanilla\n')
    f.write('initialdir = /bos/usr2/gzheng/TermRecall/src\n')
    f.write('executable = /opt/python27/bin/python\n')
    f.write('arguments = cv_svm.py TRAIN:%d-%d TEST:%d-%d\n'%(start1, end1, start2, end2))
    f.write('output = .jobs/'+jobstr+'.out\n')
    f.write('log = .jobs/'+jobstr+'.log\n')
    f.write('error = .jobs/'+jobstr+'.err\n')
    f.write('queue\n')
    f.close()
    os.system('condor_submit '+ jobname)    

    #train on trecno, test on trecno+1, resample
    jobstr = 'train.t%d.test.t%d.resample.%s'%(trecno, test_tid, strftime('%Y%m%d'))
    jobname = '.jobs/' + jobstr + '.job'
    f = open(jobname, 'w')
    f.write('Universe = vanilla\n')
    f.write('initialdir = /bos/usr2/gzheng/TermRecall/src\n')
    f.write('executable = /opt/python27/bin/python\n')
    f.write('arguments = cv_svm_resample.py TRAIN:%d-%d TEST:%d-%d\n'%(start1, end1, start2, end2))
    f.write('output = .jobs/'+jobstr+'.out\n')
    f.write('log = .jobs/'+jobstr+'.log\n')
    f.write('error = .jobs/'+jobstr+'.err\n')
    f.write('queue\n')
    f.close()
    os.system('condor_submit '+ jobname)    
    """
    for k in range(0,5):
        #train on trecno+1, test on trecno+1
        jobstr = 'train.t%d.test.t%d.%d.%s'%(trecno+1, test_tid, k, strftime('%Y%m%d'))
        jobname = '.jobs/' + jobstr + '.job'
        f = open(jobname, 'w')
        f.write('Universe = vanilla\n')
        f.write('initialdir = /bos/usr2/gzheng/TermRecall/src\n')
        f.write('executable = /opt/python27/bin/python\n')
        f.write('arguments = cv_svm.py TRAIN:%d-%d TRAIN:%d-%d TEST:%d-%d\n'%(start2, start2 + k*10 - 1, start2+k*10+10,end2, start2+k*10,start2+k*10+9))
        f.write('output = .jobs/'+jobstr+'.out\n')
        f.write('log = .jobs/'+jobstr+'.log\n')
        f.write('error = .jobs/'+jobstr+'.err\n')
        f.write('queue\n')
        f.close()
        os.system('condor_submit '+ jobname)    
         
        #train on trecno and trecno+1, test on trecno+1
        jobstr = 'train.t%d+t%d.test.t%d.%d.%s'%(trecno, test_tid, test_tid, k,strftime('%Y%m%d'))
        jobname = '.jobs/' + jobstr + '.job'
        f = open(jobname, 'w')
        f.write('Universe = vanilla\n')
        f.write('initialdir = /bos/usr2/gzheng/TermRecall/src\n')
        f.write('executable = /opt/python27/bin/python\n')
        f.write('arguments = cv_svm.py TRAIN:%d-%d TRAIN:%d-%d TRAIN:%d-%d TEST:%d-%d\n'%(start1, end1, start2, start2 + k*10 - 1, start2+k*10+10,end2, start2+k*10,start2+k*10+9))
        f.write('output = .jobs/'+jobstr+'.out\n')
        f.write('log = .jobs/'+jobstr+'.log\n')
        f.write('error = .jobs/'+jobstr+'.err\n')
        f.write('queue\n')
        f.close()
        os.system('condor_submit '+ jobname)    
            
