#!/usr/bin/perl
# adapted from Le's code
my $f=shift;
die "Usage: $0 <infile>\n" if !defined $f;
my $qt = `cat $f`;
$qt =~ s/[^\w\.]/ /sg; $qt=tokenizeq($qt);
#before saving, still need to remove "(find|identify|provide) (documents|reports|information) (on|about)  .."
#"(find|identify) (documents|reports) (that|which) (identify|discuss|explain|indicate|give|address|state|..) .."
$qt =~ s/^document\s+(will|must|should)\s+(cite|include|report|provide|describe|show|contribute|give|discuss|identify|refer|inform|state|enumerate)\s+(or|and)\s+(cite|include|report|provide|describe|show|contribute|give|discuss|identify|refer|inform|state|enumerate)\s+((on|of)s+)?//is;
$qt =~ s/^document\s+(will|must|should)\s+(cite|include|report|provide|describe|show|contribute|give|discuss|identify|refer|inform|state|enumerate)\s+((on|of)\s+)?//is;
$qt =~ s/^document\s+(discusses|mentions)\s+//is;
$qt =~ s/^document\s+(will|must|should)\s+//is;
$qt =~ s/^(find|identify|provide)\s+(documents|reports|information|occurrences)\s+(on|about)\s+//is;
$qt =~ s/^(find|identify|provide)\s+(documents|reports|information|occurrences)\s+(that|which)\s+\S+\s+//is;
$qt =~ s/^(find|identify|provide)\s+(documents|reports|information|occurrences)\s+in\s+which\s+//is;
$qt =~ s/^this\s+search\s+(is\s+to\s+find|seeks)\s+information\s+on\s+//is;
$qt =~ s/^a\s+document\s+should\s+\S+\s+//is;
$qt =~ s/^(find|identify|provide|describe)\s+//is;
my $commaor='(\,\s*)?(\s*or\s+)';
$qt =~ s/^(Please\s+produce\s+any\s+and\s+)?(Submit\s+)?((any\s+and\s+)?All\s+)?(documents\s+|studies\,\s+reports\,\s+discussions\s+or\s+analyses\s+)?(to\s+or\s+from\s+employees\s+of\s+a\s+tobacco\s+company\s+or\s+tobacco\s+organization\s+)?(that\s+)?(of\s+)?(expressly\s+)?(explicitly\s+)?(specifically\s+)?(discuss\w*\s*)?($commaor?represent\w*\s*)?($commaor?(make\s+)?refer\w*\s*)?($commaor?relat\w+\s*)?($commaor?regarding\s*)?($commaor?concerning\s*)?(to\s+)?($commaor?discuss\w*\s*)?($commaor?describ\w+\s*)?(listing\s*)?((in\s+)?which\s+)?//is;
print "$qt\n";

sub tokenizeq{
	my $qt=shift;
	my @a=split /\s+/,$qt;
	foreach my $w(@a){
		$w =~ s/\.$//; my $cmbw=$w;$cmbw =~ s/\.//sg;
		$w =~ s/\./ /sg;
		$w = "$cmbw" if $w =~ /\s/; #because will be sent to directly do dep-parsing!
	}
	return join(" ",@a);
}


    
