from  xml.dom.minidom import *
import sys
import os

def process(query):
    # process puntuations
    query = query.replace('.', ' ')
    query = query.replace('\'', ' ')
    return query

if len(sys.argv) < 3:
    print 'Usage: %s <raw_query_xml> <output_dir>' % sys.argv[0]
    exit(0)
    
dom = parse(sys.argv[1])
outdir = sys.argv[2]

topics = dom.getElementsByTagName('topic')
for topic in topics:
    number = topic.getAttribute('number')
    print number
    query = topic.getElementsByTagName('query')
    reform = topic.getElementsByTagName('reformulation')
    reform_query = reform[0].getElementsByTagName('query')

    query_str_unprocessed = query[0].childNodes[0].nodeValue
    query_str = process(query_str_unprocessed)

    reform_str_unprocessed = reform_query[0].childNodes[0].nodeValue
    reform_str = process(reform_str_unprocessed)

    out = open('%s/%s.1.q'%(outdir, number), 'w')    
    out.write('<parameters>\n')
    out.write('  <query><type>indri</type><number>%s.1</number><text>\n' %number)
    out.write('#combine(%s)\n'%query_str)
    out.write('  </text></query>\n')
    out.write('</parameters>\n')
    out.close()
    
    out = open('%s/%s.2.q'%(outdir, number), 'w')    
    out.write('<parameters>\n')
    out.write('  <query><type>indri</type><number>%s.2</number><text>\n' %number)
    out.write('#combine(%s)\n'%reform_str)
    out.write('  </text></query>\n')
    out.write('</parameters>\n')    
    out.close()


    dep_tmp = open('_dep_tmp_','w')
    dep_tmp.write('%s\n' % query_str_unprocessed)
    dep_tmp.close()
    
    os.system('perl depparse.pl _dep_tmp_ > ../parses/st10/%s.1.dep' % number)

    dep_tmp = open('_dep_tmp_','w')
    dep_tmp.write('%s\n' % reform_str_unprocessed)
    dep_tmp.close()
    
    os.system('perl depparse.pl _dep_tmp_ > ../parses/st10/%s.2.dep' % number)

    print 'Original: %s' % query_str
    print 'Reformulation: %s' % reform_str




